## Features Features — Platform-specific feature support |

## Functions

ChafaFeatures | chafa_get_builtin_features ()
ChafaFeatures | chafa_get_supported_features ()
gchar * | chafa_describe_features ()

## Types and Values

enum | ChafaFeatures

## Description

Chafa supports a few platform-specific acceleration features. These will be built in and used automatically when available. You can get information about the available features through the function calls documented in this section.

## Functions

### chafa_get_builtin_features ()

    ChafaFeatures
    chafa_get_builtin_features (void);

Gets a list of the platform-specific features this library was built with.

#### Returns

A set of flags indicating features present.

### chafa_get_supported_features ()

    ChafaFeatures
    chafa_get_supported_features (void);

Gets a list of the platform-specific features that are built in and usable on the runtime platform.

#### Returns

A set of flags indicating usable features

### chafa_describe_features ()

    gchar *
    chafa_describe_features (ChafaFeatures features);

Takes a set of flags potentially returned from `chafa_get_builtin_features()` or `chafa_get_supported_features()` and generates a human-readable ASCII string descriptor.

#### Parameters

features | A set of flags representing features |

#### Returns

A string describing the features. This must be freed by caller.

## Types and Values

### enum ChafaFeatures

#### Members

CHAFA_FEATURE_MMX | Flag indicating MMX support. |
CHAFA_FEATURE_SSE41 | Flag indicating SSE 4.1 support. |
CHAFA_FEATURE_POPCNT | Flag indicating popcnt support. |